Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA_Current_Impl Class Reference

`#include <Object_Adapter.h>`

Collaboration diagram for TAO_POA_Current_Impl:

[legend]
List of all members.

## Public Methods
PortableServer::POA_ptr | get_POA (CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::Current::NoContext)
PortableServer::ObjectId* | get_object_id (CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::Current::NoContext)
void | poa (TAO_POA *)
TAO_POA* | poa (void) const
TAO_ORB_Core& | orb_core (void) const
void | object_id (const PortableServer::ObjectId &id)
const PortableServer::ObjectId& | object_id (void) const
void | object_key (const TAO_ObjectKey &key)
const TAO_ObjectKey& | object_key (void) const
void | servant (PortableServer::Servant servant)
PortableServer::Servant | servant (void) const
void | priority (CORBA::Short priority)
CORBA::Short | priority (void) const
| TAO_POA_Current_Impl (void)
void | teardown (void)
void | setup (TAO_POA *impl, const TAO_ObjectKey &key)
## Protected Methods
| TAO_POA_Current_Impl (const TAO_POA_Current_Impl &)
void | operator= (const TAO_POA_Current_Impl &)
## Protected Attributes
TAO_POA* | poa_
PortableServer::ObjectId | object_id_
const TAO_ObjectKey* | object_key_
PortableServer::Servant | servant_
CORBA::Short | priority_
TAO_POA_Current_Impl* | previous_current_impl_
int | setup_done_
TAO_TSS_Resources* | tss_resources_
## Friends
class | TAO_POA

## Constructor & Destructor Documentation

TAO_POA_Current_Impl::TAO_POA_Current_Impl ( | void )

TAO_POA_Current_Impl::TAO_POA_Current_Impl ( | const TAO_POA_Current_Impl & )`[protected]`

## Member Function Documentation

PortableServer::POA_ptr TAO_POA_Current_Impl::get_POA ( | CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::Current::NoContext)

PortableServer::ObjectId* TAO_POA_Current_Impl::get_object_id ( | CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::Current::NoContext)

ACE_INLINE const PortableServer::ObjectId & TAO_POA_Current_Impl::object_id ( | void ) const

ACE_INLINE void TAO_POA_Current_Impl::object_id ( | const PortableServer::ObjectId & id )

ACE_INLINE const TAO_ObjectKey & TAO_POA_Current_Impl::object_key ( | void ) const

ACE_INLINE void TAO_POA_Current_Impl::object_key ( | const TAO_ObjectKey & key )

void TAO_POA_Current_Impl::operator= ( | const TAO_POA_Current_Impl & )`[protected]`

TAO_ORB_Core & TAO_POA_Current_Impl::orb_core ( | void ) const

ACE_INLINE TAO_POA * TAO_POA_Current_Impl::poa ( | void ) const

ACE_INLINE void TAO_POA_Current_Impl::poa ( | TAO_POA * p )

ACE_INLINE CORBA::Short TAO_POA_Current_Impl::priority ( | void ) const

ACE_INLINE void TAO_POA_Current_Impl::priority ( | CORBA::Short priority )

ACE_INLINE PortableServer::Servant TAO_POA_Current_Impl::servant ( | void ) const

ACE_INLINE void TAO_POA_Current_Impl::servant ( | PortableServer::Servant servant )

void TAO_POA_Current_Impl::setup ( | TAO_POA * p,
| const TAO_ObjectKey & key )

void TAO_POA_Current_Impl::teardown ( | void )

## Friends And Related Function Documentation

class TAO_POA`[friend]`

## Member Data Documentation

PortableServer::ObjectId TAO_POA_Current_Impl::object_id_`[protected]`

const TAO_ObjectKey * TAO_POA_Current_Impl::object_key_`[protected]`

TAO_POA * TAO_POA_Current_Impl::poa_`[protected]`

TAO_POA_Current_Impl * TAO_POA_Current_Impl::previous_current_impl_`[protected]`

CORBA::Short TAO_POA_Current_Impl::priority_`[protected]`

PortableServer::Servant TAO_POA_Current_Impl::servant_`[protected]`

int TAO_POA_Current_Impl::setup_done_`[protected]`

TAO_TSS_Resources * TAO_POA_Current_Impl::tss_resources_`[protected]`

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp
- Object_Adapter.i